Subject: Re: [dispatch] draft-schulzrinne-dispatch-status-unwanted

From: Henning Schulzrinne <[email-masked]>
Date: Sun, 13 Nov 2016 11:45:00 +0000

This is getting into deep editorial matters of taste, but "objectionable" isn't quite right, given common usage that this refers to content that is unsuitable for minors or in poor taste. (See, locally, https://www.fcc.gov/consumers/guides/protecting-children-objectionable-content-wireless-devices). Or, from the dictionary definition:  "offending good taste, manners, etiquette, propriety, etc.; offensive:"

________________________________
From: Paul Kyzivat <[email-masked]>
Sent: Friday, September 30, 2016 11:24:49 PM
To: Henning Schulzrinne; [email-masked]
Subject: Re: [dispatch] draft-schulzrinne-dispatch-status-unwanted

On 9/30/16 10:51 PM, Henning Schulzrinne wrote:
> Yes, this is meant to indicate that the calls from that caller are
> unwanted. Given that numbers get re-assigned and that sometimes people
> hit the wrong button (such as hitting the "spam" button in gmail when I
> meant delete), this should presumably be treated more as a statistical
> indicator. I didn't want to be too prescriptive here; for example, it is
> possible that such calls, if they are not yet on a global blacklist, end
> up in the equivalent of the email spam folder, i.e., voicemail, or that,
> again mimicking email, you get a text message indicating calls that got
> this treatment, just in case this was a mistake.
>
>
> I'll add a sentence about the caller being unwanted.
>
>
> I had considered adding Call-Info "type" information to allow the called
> party to provide more information, but I doubt that most users will want
> to make in-depth selections of the nature of the badness when they just
> want to get rid of the call. More detailed feedback seems more
> appropriate for a post-call app-style response (and existing robocall
> filtering apps seem to allow this type of labeling).
>
>
> Call-Info can't be used in a BYE, so that method doesn't quite work.
>
>
> My inclination is to keep it simple for now, and consider adding more
> structured information as a parameter separately and later if there's need.

I just want to ensure that all the users of this are on the same page
regarding its meaning. How it is institutionalized is more important
than what the exact wording is in this document. Users are going to push
a button on their phone to reject the call. (Probably the same one that
is there now.) What they mean and how that is used had better be in
agreement.

        Thanks,
        Paul

> Henning
> ------------------------------------------------------------------------
> *From:* dispatch <[email-masked]> on behalf of Paul Kyzivat
> <[email-masked]>
> *Sent:* Friday, September 30, 2016 10:36 PM
> *To:* [email-masked]
> *Subject:* Re: [dispatch] draft-schulzrinne-dispatch-status-unwanted
>
> Audacious move choosing 666!
>
> I want to verify that it is crystal clear that the meaning of this
> response is that requests (often calls) from this caller are unwanted,
> rather than simply that this *call* is unwanted.
>
> At the time of call initiation there is of course little else that the
> callee has to go on to reject the call this way. But I guess I could
> imagine a UA that is intended only for originating calls, that considers
> *all* incoming calls to be undesirable, regardless of caller. In that
> case it would be bad to use 666 if that then put the caller on a list as
> an undesirable caller.
>
> And of course this code can be used with Reason to signify displeasure
> with a call after it has been answered. At that point there may be a
> wider range of reasons to object to the call. E.g., the subject matter
> is objectionable, the caller is identifiable and objectionable even
> though coming from a usually unobjectionable number, etc.
>
> It isn't necessary to boil the ocean here covering all the cases. I just
> want to make certain the all those using this code have a common
> understanding of the semantics.
>
>         Thanks,
>         Paul
>
>